Doomsday Engine - Bug #1734

Games' Help InFine scripts have no sounds
2014-03-11 12:42 - vermil

Status: Progressed Start date: 2014-03-11
Priority: Low % Done: 10%
Assignee:

Category: Vanilla emulation

Target version: Vanilla / Gameplay

Description

Pretty much what the subject states; the help infine in all games lacks the sound effects played when moving between pages in the
original games.

| have attached copies of all the games help infine that include these sounds.

Also, I've corrected the Doom1, Doom2 and Chex Quest’s help infine's to remove the erroneously displayed CREDIT graphic in
Ultimate Doom, Doom2 and Chex Quest. The original games don't display this screen in their help rotation.

| don't have a registered Doom.wad (well, my current computer doesn't have a floppy disk drive to use my old disks with) to view
what the original 3 episode version of Doom1 displays in its help rotation, thus | have left the CREDIT screen in that games help
rotation. Though admittedly Chex Quest implies that it probably doesn't.

HacX in Dday hasn't got its own finales ded, to explain why there isn't one attached below.

History

#1 - 2015-02-02 11:15 - vermil

- Tags set to infine, help, accuracy

#2 - 2015-02-02 11:39 - skyjake

- Tags changed from InFine, Help, accuracy to InFine, Audio, Menu, Ul

- Subject changed from Help infine has no sounds to Games' Help InFine scripts have no sounds
- Category set to Vanilla emulation

- Target version setto 1.15

#3 - 2015-02-02 11:58 - skyjake

- Assignee set to skyjake

#4 - 2015-02-05 18:34 - skyjake

- Status changed from New to In Progress

#5 - 2015-02-06 08:42 - skyjake

| have noticed a problem with these. For instance, in Ultimate Doom, if | select Help! from the main menu, it will play both the menu item activation
sound (pistol) and the sound from the help script (swtchn). It only works correctly when pressing the F1 key, when only the switch sound is played.

What is needed here is a way for the script to check whether it has been started from the menu. That way it'll know if playing swtchn is necessary.

#6 - 2015-02-06 10:37 - skyjake

- Priority changed from Normal to Low

#7 - 2015-02-06 10:39 - skyjake

- Target version changed from 1.15 to 42

#8 - 2015-02-06 12:32 - sonicdoommario

In Vanilla Doom, opening the Help screen up from the menu plays the Pistol shooting sound.

| also happen to have a copy of Doom 1.666. Pressing F1 will bring you to that "Order Doom" screen first, and then the help page showing all of the
controls.
#9 - 2015-02-06 12:42 - skyjake

BTW, | postponed this to 1.16 because it needs some new code (for determining how the script was started).

#10 - 2015-02-06 12:43 - skyjake
- % Done changed from 0 to 10

#11 - 2015-04-15 00:25 - sonicdoommario

| was able to load up Doom 1.666 in Doomsday, and to be more specific, pressing F1 takes you to HELP2 (the screen that tells you to order Doom),
and then pressing Enter goes to HELP1 (which is also vanilla behavior).

#12 - 2015-04-22 04:22 - danij
- Target version deleted (42)

#13 - 2015-11-25 22:26 - skyjake
- Assignee deleted (skyjake)

#14 - 2016-07-06 00:01 - skyjake

- Status changed from In Progress to Progressed

#15 - 2017-04-03 14:33 - skyjake

- Target version set to Modding

#16 - 2017-04-03 18:33 - skyjake

- Target version changed from Modding to Vanilla/ Gameplay
